#ifndef EDAPI_JOURNAL_JOURNAL_H
#define EDAPI_JOURNAL_JOURNAL_H

#include <edapi/error.h>

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

G_DECLARE_FINAL_TYPE(
    EDJournal, ed_journal, ED, JOURNAL, GObject);

#define ED_TYPE_JOURNAL ed_journal_get_type()

EDJournal *ed_journal_new(void);

EDJournal *ed_journal_new_with_location(gchar const *dir);

gchar const *ed_journal_get_location(EDJournal *j);
EDErrorCode ed_journal_set_location(EDJournal *j, gchar const *dir);

/**
 * Get a list of files. Files are sorted in ascending order, with
 * newer files last in the doubly linked list
 */
GList *ed_journal_get_files(EDJournal *self);

G_END_DECLS

#endif
